Freeciv - Feature #661654

Split the action "Suitcase Nuke"
2017-05-17 10:10 PM - Sveinung Kvilhaugsvik

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Sveinung Kvilhaugsvik % Done: 100%
Category: General Estimated time: 0.00 hour
Sprint/Milestone: 3.0.0

Description

Stop relying on the Spy unit type flag to decide if the "Suitcase Nuke" action consumes the actor unit. Split the new action "Suitcase
Nuke Escape" from "Suitcase Nuke". The former will have its actor try to escape. The latter will always consume the actor unit.

This makes it possible to create a ruleset where all actor units, including those with the Spy utype flag, are consumed when suitcase
nuking a city. It makes the opposite (everyone, including non Spy units, escapes) possible too. It also makes more complex rules,

like "only veterans has a chance of escaping after placing the suitcase", possible.

Related issues:

Blocks Freeciv - Feature #661962: webperimental: spy nuke escape is for veterans

Closed

History

#1 - 2017-05-17 10:30 PM - Sveinung Kvilhaugsvik
- File 3.0-Split-the-action-Suitcase-Nuke.patch added
- File 3.1-Split-the-action-Suitcase-Nuke.patch added

#2 - 2017-05-17 10:30 PM - Sveinung Kvilhaugsvik
- File deleted (0001-Split-the-action-Suitcase-Nuke.patch)

#3 - 2017-05-19 10:41 AM - Sveinung Kvilhaugsvik
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#4 - 2017-05-19 11:08 AM - Sveinung Kvilhaugsvik

- Blocks Feature #661962: webperimental: spy nuke escape is for veterans added

Files
3.0-Split-the-action-Suitcase-Nuke.patch 25.8 KB 2017-05-17 Sveinung Kvilhaugsvik
3.1-Split-the-action-Suitcase-Nuke.patch 25.8 KB 2017-05-17 Sveinung Kvilhaugsvik
